--- title: "Private Canned Message Category" slug: "server-api-global-setting-private-canned-message-category" updated: 2022-06-16T08:25:51Z published: 2022-06-16T08:25:51Z canonical: "developer.comm100.com/server-api-global-setting-private-canned-message-category" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Private Canned Message Category ## Private Canned Message Category You need Manage Private Canned Messages permission to manage the private canned message categories. - `Private Canned Message Categories` - Private Canned Message Categories Manage - `GET global/privateCannedMessageCategories` - [Get the list of Private Canned Message Categories](/docs/server-api-global-setting-private-canned-message-category#get-the-list-of-private-canned-message-categories) - `GET global/privateCannedMessageCategories/{id}` - [Get a single Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#get-a-single-private-canned-message-category) - `POST global/privateCannedMessageCategories` - [Create a new Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#create-a-new-private-canned-message-category) - `PUT global/privateCannedMessageCategories/{id}` - [Update the Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#update-the-private-canned-message-category) - `DELETE global/privateCannedMessageCategories/{id}` - [Remove the Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#remove-the-private-canned-message-category) ### Private Canned Message Category JSON Format Private Canned Message Category is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the canned message category. | | `name` | string | Name of the canned message category. | | `parentId` | guid | Parent of the canned message category. | | `createdById` | guid | Id of the agent who create the canned message category. | | `order` | integer | Order of the canned message category. | ### Get the list of Private Canned Message Categories `GET global/privateCannedMessageCategories` - #### Parameters: No Parameters - #### Response: An array of [Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#private-canned-message-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/privateCannedMessageCategories \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "3682aa0b-7b0f-49f8-84dc-ebf777b4b375", "name": "Chat Bot", "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C", "createdById": "9a413cfe-792e-4abe-bc5e-8595640ddb3d", "order": 0 } ] ``` ### Get a single Private Canned Message Category `GET global/privateCannedMessageCategories/{id}` - #### Parameters: No Parameters - #### Response: [Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#private-canned-message-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/privateCannedMessageCategories/3682aa0b-7b0f-49f8-84dc-ebf777b4b375 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "3682aa0b-7b0f-49f8-84dc-ebf777b4b375", "name": "Chat Bot", "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C", "createdById": "9a413cfe-792e-4abe-bc5e-8595640ddb3d", "order": 0 } ``` ### Create a new Private Canned Message Category `POST global/privateCannedMessageCategories` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `name` | string | body | yes | Name of the canned message category. | | `parentId` | guid | body | yes | Parent of the canned message category. | | `createdById` | guid | body | no | Id of the agent who create the canned message category. | | `order` | integer | body | no | Order of the canned message category. | - #### Response: [Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#private-canned-message-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/privateCannedMessageCategories \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"name":"Chat Bot","parentId":"97AF5329-7C46-EB11-8100-00155D081D0C","createdById":"9a413cfe-792e-4abe-bc5e-8595640ddb3d","order":0}' ``` Response: HTTP/1.1 201 Created ``` { "id": "3682aa0b-7b0f-49f8-84dc-ebf777b4b375", "name": "Chat Bot", "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C", "createdById": "9a413cfe-792e-4abe-bc5e-8595640ddb3d", "order": 0 } ``` ### Update the Private Canned Message Category `PUT global/privateCannedMessageCategories/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `name` | string | body | yes | Name of the canned message category. | | `parentId` | guid | body | yes | Parent of the canned message category. | | `createdById` | guid | body | no | Id of the agent who create the canned message category. | | `order` | integer | body | no | Order of the canned message category. | - #### Response: [Private Canned Message Category](/docs/server-api-global-setting-private-canned-message-category#private-canned-message-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/privateCannedMessageCategories/3682aa0b-7b0f-49f8-84dc-ebf777b4b375 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"name":"Chat Bot","parentId":"97AF5329-7C46-EB11-8100-00155D081D0C","createdById":"9a413cfe-792e-4abe-bc5e-8595640ddb3d","order":0}' ``` Response: HTTP/1.1 200 OK ``` { "id": "3682aa0b-7b0f-49f8-84dc-ebf777b4b375", "name": "Chat Bot", "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C", "createdById": "9a413cfe-792e-4abe-bc5e-8595640ddb3d", "order": 0 } ``` ### Remove the Private Canned Message Category `DELETE global/privateCannedMessageCategories/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/privateCannedMessageCategories/3682aa0b-7b0f-49f8-84dc-ebf777b4b375 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content